#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.7.0.0
id: jose-0.7.0.0-91TgtYxUhjo9iuFXwfnXU1
key: jose-0.7.0.0-91TgtYxUhjo9iuFXwfnXU1
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
author: Fraser Tweedale
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
abi: fa376bfffc47a3438b0fc56159592825
exposed: True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
import-dirs: /usr/lib/ghc-8.4.3/site-local/jose-0.7.0.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/jose-0.7.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/jose-0.7.0.0
hs-libraries: HSjose-0.7.0.0-91TgtYxUhjo9iuFXwfnXU1
depends:
    base-4.11.1.0 attoparsec-0.13.2.2-9zRGjV3As3w1B2ujiZf4yU
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    concise-0.1.0.1-2XLu3ug4SVHCU6vCqgqnbE containers-0.5.11.0
    cryptonite-0.25-HG1e5oKlC351RQKtUSxglv
    lens-4.16.1-BSXfXNu8l0V7ncWFGkc4En
    memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi
    monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ mtl-2.2.2
    template-haskell-2.13.0.0 safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur
    aeson-1.3.1.1-6MYzDDA2vlE42OFIDFWYr5
    unordered-containers-0.2.9.0-IEc9LFcTDjK6w3ap4NqwQu
    bytestring-0.10.8.2 text-1.2.3.0 time-1.8.0.2
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr
    quickcheck-instances-0.3.18-169mZku1qEe1d2rE33rS5u
    x509-1.7.3-Dh7HGlJA4BTKrDrAiM7lYR
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             attoparsec-0.13.2.2-9zRGjV3As3w1B2ujiZf4yU=970180ace34b66d93bd5b25ba2c2a659
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=65adc4f5f54a1c07291b4ebc49756c05
             concise-0.1.0.1-2XLu3ug4SVHCU6vCqgqnbE=d38d551aa323ef705d486baef23555e2
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             cryptonite-0.25-HG1e5oKlC351RQKtUSxglv=5008fcc70bd425af43dd504f7310f344
             lens-4.16.1-BSXfXNu8l0V7ncWFGkc4En=ccf69769d5e1451c2d37e1cc1d9a6080
             memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi=ebd23a14864af42a4155f70cf1514d40
             monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ=3b3735b94e7bbec23fc2968c7b0a63a8
             mtl-2.2.2=0b3b35c3b96c7607606ed10087c4aa4a
             template-haskell-2.13.0.0=ac7dfd04924d4ebfa90a119ad22a36cc
             safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur=42026212d0dad8beaed25fde58365be8
             aeson-1.3.1.1-6MYzDDA2vlE42OFIDFWYr5=b260fa08272c0cac5c6fef6b1f493cce
             unordered-containers-0.2.9.0-IEc9LFcTDjK6w3ap4NqwQu=5b052eced98346d45f3db03378f2841d
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             text-1.2.3.0=9752fd647a108be49a4cb0c2a4456f2b
             time-1.8.0.2=042930fb6746cbaf3bc794f817f8a6b2
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=4ea8f0efa7a1ade0af4e9ce0cffcff8c
             QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr=59a035869ce3bae16d8c8360447f600f
             quickcheck-instances-0.3.18-169mZku1qEe1d2rE33rS5u=0f601f5d4f656ba58b5571842887fe0f
             x509-1.7.3-Dh7HGlJA4BTKrDrAiM7lYR=cfa5dc2f3d3c7b1498b8129bf4817878
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=8ec9732a4c43da9ed60d7a7b8971b540
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

